html,body {
	margin: 0px;
	padding: 0px;
}

p, div.google-visualization-tooltip {
	font-family: Arial;
	padding-left: 8px;
	padding-top: 8px;
}
/* https://htmlpreview.github.io/?https://raw.githubusercontent.com/googlemaps/v3-utility-library/master/markerwithlabel/docs/examples.html*/
.tideStationMarker {
	/*width: 50px;*/ 
	height: 20px;
	/*border: 1px solid #0e5bd6;*/
	border: 1px solid #0e5bd6;
	border-radius: 5px;
	padding-left: 6px;
	padding-right: 6px;
	background: #0e5bd6;
	text-align: center;
	line-height: 20px;
	font-weight: bold;
	font-size: 14px;
	color: white;
	white-space: nowrap;
}

.status {
	font-family: Roboto, Arial;
	font-size: 14px;
	text-align: center;
	position: relative;
	/*height: 20px;
	background-color: #ffffff;
	*/
	padding-top: 0px;
	padding-bottom: 0px;
}

.appTitle {
	display: block;
	width: 240px;
	height: 30px;
	font-family: Roboto, Arial;
	font-size: 16px;
	font-weight: bold;
	text-align: center;
	position: relative;
	margin-left: auto;
	margin-right: auto;
	text-transform: uppercase;
}

.termsFooter {
	font-family: Roboto, Arial;
	font-size: 10px;
	text-align: center;
	position: relative;
	padding-bottom: 10px;
	padding-left: 15px;
	padding-right: 15px;
}

.logo {
	display: block;
    margin-left: auto;
    margin-right: auto;
	padding-top: 8px;
	padding-bottom: 0;
}

.boldTerms {
	font-family: Roboto, Arial;
	font-weight: bold;
	font-size: 18px;
	text-align: center;
	padding-top: 0;
	text-decoration: underline;
}

.termsText {
	font-family: Roboto, Arial;
	font-size: 12px;
	text-align: justified;
	width: 90%;
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 0px;
}

.markText {
	font-family: Roboto, Arial;
	font-size: 12px;
	text-align: center;
	width: 90%;
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 0px;
}

.agreeButton {
	display: block;
    margin : 0 auto;
	height: 30px;
	width: 120px;
	font-family: Roboto, Arial;
	font-weight: bold;
	font-size: 16px;
	border-radius: 10px;
	border-color: #000000;
	background-color: #0e5bd6;
	border: 1px solid #0e5bd6;
	color: white;
	cursor: default;
}


.backButton {
	display: block;
	height: 26px;
	width: 130px;
	font-family: Roboto, Arial;
	font-weight: bold;
	text-align: center;
	padding-top: 5px;
	border-radius: 10px;
	border-color: #000000;
	background-color: #0e5bd6;
	color: white;
	cursor: default;
}

.nextButton {
	display: block;
	height: 26px;
	width: 130px;
	font-family: Roboto, Arial;
	font-weight: bold;
	text-align: center;
	padding-top: 5px;
	border-radius: 10px;
	border-color: #000000;
	background-color: #0e5bd6;
	color: white;
	cursor: default;
}

.markStrikeButton, .showStrikesButton {
	display: block;
	float: left;
	height: 26px;
	width: 100px;
	font-family: Roboto, Arial;
	font-weight: bold;
	text-align: center;
	padding-top: 0px;
	margin-left:  5px;
	margin-right: 5px;
	border-radius: 10px;
	border-color: #000000;
	background-color: #38cf34;
	color: black;
	cursor: pointer;
}

.saveLocationButton, .cancelButton {
	display: block;
    margin : 0 auto;
	height: 30px;
	width: 120px;
	float: left;
	margin-left: 5px;
	margin-right: 5px;
	font-family: Roboto, Arial;
	font-weight: bold;
	font-size: 16px;
	border-radius: 10px;
	border-color: #000000;
	background-color: #0e5bd6;
	border: 1px solid #0e5bd6;
	color: white;
	cursor: default;
}

.termsContainer {
	width: 90%;
	margin-left: auto;
	margin-right: auto;
	padding-top: 0px;
}

.detailsContainer {
	width: 90%;
	margin-left: auto;
	margin-right: auto;
	padding-top: 0px;
	overflow: hidden;
}

#mapContainer {
	width: 100%;  /*700px;*/
	height: 100%; /*500px; */
}

.masterContainer {
	width: 100%; /*700px;*/
	height: 100%; /*500px;*/
	position: relative;
}

.statusContainer {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0px;
	left: 0px;
	background-color: rgba(0, 0, 0, 0.3);
}


.centerContainer {
	 margin: 0 auto;
	 width: 400px; 
	 border: 2px solid black;
	 position: relative;
	 background-color: #ffffff;
	 border-radius: 25px;
}

.middleContainer {	 
	position: relative;
	top: 50%;
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	transform: translateY(-50%);
}

.agreeContainer {
	position: relative;
	margin: 0 auto;
}

.markDetailsContainer {
	position: relative;
	margin: 0 auto;
	display: none;
}

.markOptionsContainer {
	position: relative;
	margin: 0 auto;
	display: none;
}

label {
	font-family: Roboto, Arial;
	font-size: 15px;
	float: left;
	margin-top: 14px;
}

input {
    float: left;
	margin-top: 16px;
}

label + input {
    clear: both;
	
}

.column {
    float: left;
    width: 33.33%;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

.actionsContainer {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0px;
	left: 0px;
	pointer-events: none;
}

.actionsLeft {
	position: absolute;
	top: 14px;
	left: 140px;
	pointer-events:  auto;
}

.dialogButtonsContainer {
	padding-top: 10px;
	margin-left: 48px;
	width: 100%;
	height: 30px;
	text-align: center;	
	overflow: hidden;
}
.chart, .chartElement {
	
	width: 100%; /* 700px ;*/
	height: 100%; /* 500px;*/
}

.slickMapChart {
	width: 100%; /*700px;*/
	height: 100%; /*500px;*/
	position: absolute;
}

.chartWithMarkerOverlay {
    position: relative;
    width: 100%; /*700px;*/
}

.overlay-text {
    position: absolute;
    top: 90%; /*430px;*/   /* chartArea top  */
    left: 20px; /*40px;*/ /* chartArea left */
}

.overlay-next {
    position: absolute;
    top: 90%; /*430px;*/   /* chartArea top  */
    right: 20px; /*40px;*/ /* chartArea left */
}

.overlay-logo {
    position: absolute;
    top: 20px;   /* chartArea top  */
    right: 80px; /* chartArea right */
}

/* Portrait */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) { 
	 
	.masterContainer {
		width: 100%;
		height: 100%;
		position: relative;
	}
	
	.centerContainer {
		 margin: 0 auto;
		 width: 92%; 
		 border: 2px solid black;
		 position: relative;
		 background-color: #ffffff;
		 border-radius: 25px;
	}
	  
	.dialogButtonsContainer {
		margin-left: 25px;
	}

		   
	#mapContainer {
		width: 100%;
		height: 100%;
	}
	
	  
	.chartElement {
	  height: 94%;
	}
	
	.slickMapChart {
		width: 100%;
		height: 100%;
		padding: 0px;
		margin: 0px;
	}
	.chartWithMarkerOverlay {
		position: relative;
		width: 100%;
		height: 100%;
	}
	.overlay-text {
		position: absolute;
		top: 92%;   /* chartArea top  */
		left: 20px; /* chartArea left */
	}
	
	.overlay-logo {
    	top: 8px;   /* chartArea top  */
    	right: 10px; /* chartArea right */
	}
	  
	 .overlay-next {    
    	top: 92%; 
    } 
	  
	.status {
		width: 100%;
	}
	
	.terms {
		width: 90%;
		padding-left: 2px;
		padding-top: 2px;
		font-size: 12px;
		margin-top: 0px;
	}
  }
  
/* Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: landscape) { 
 
	body {
		-webkit-text-size-adjust: 100%;
		-ms-text-size-adjust: 100%;
	} 
	 
	.masterContainer {
		width: 100%;
		height: 100%;
		position: relative;
	}
	
	#mapContainer {
		width: 100%;
		height: 100%;
	}
	
	.chart, .chartElement {
		
		width: 100%;
		height: 100%;
	}
	
	.slickMapChart {
		width: 100%;
		height: 100%;
		padding: 0px;
		margin: 0px;
	}
	.chartWithMarkerOverlay {
		position: relative;
		width: 100%;
	}
	.overlay-text {
		top: 90%;   /* chartArea top  */
		left: 10px; /* chartArea left */
	}
	
	.overlay-logo {
    	top: 2px;   /* chartArea top  */
    	right: 50px; /* chartArea right */
	}
	
	
	.terms {
		width: 100%;
		padding-left: 2px;
		padding-top: 2px;
		font-size: 12px;
		margin-top: 0px;
	}
}

